%undefine __libtoolize
%global momorel 2
%global md5sum_src0 43f3a4086ec1254cbe20b85948192d18

Summary: A collection of documentation utilities for the Gnome project.
Name: gnome-doc-utils

Version: 0.10.3
Release: %{momorel}m%{?dist}
License: LGPL
Group: Development/Tools
URL: http://www.gnome.org/
BuildArchitectures: noarch

%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.10/%{name}-%{version}.tar.bz2 %{md5sum_src0}

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: libxml2-devel >= 2.6.27
BuildPrereq: libxslt-devel >= 1.1.20
BuildPrereq: startup-notification-devel >= 0.8
BuildPrereq: python
BuildPrereq: intltool

Prereq: scrollkeeper >= 0.3.14
BuildRequires: perl-XML-Parser
Requires: libxml2
Requires: libxslt
Requires: libxml2-python
Requires: libxslt-python

%description
gnome-doc-utils is a collection of documentation utilities for the
Gnome project.  Notably, it contains utilities for building
documentation and all auxiliary files in your source tree, and it
contains the DocBook XSLT stylesheets that were once distributed with
Yelp.  Starting with Gnome 2.8, Yelp will require gnome-doc-utils for
the XSLT.

%prep
%setup -q

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir} --mandir=/usr/share/man --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}
%clean
rm -rf --preserve-root %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.GPL COPYING.LGPL ChangeLog NEWS README
%{_bindir}/gnome-doc-prepare
%{_bindir}/gnome-doc-tool
%{_bindir}/xml2po
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_datadir}/gnome-doc-utils/
%dir %{_datadir}/omf/gnome-doc-make/
%{_datadir}/omf/gnome-doc-make/gnome-doc-make-C.omf
%dir %{_datadir}/omf/gnome-doc-xslt/
%{_datadir}/omf/gnome-doc-xslt/gnome-doc-xslt-C.omf
%{_datadir}/xml/gnome
%{_datadir}/gnome/help/gnome-doc-make/
%{_datadir}/gnome/help/gnome-doc-xslt/
%{_datadir}/xml2po/
%{_mandir}/man1/*.bz2

%changelog
* Sat Apr 21 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.10.3-2m)
- use ./configure instead of %%configure
- sorry for my careless mistake of 0.10.3-1m

* Sat Apr 21 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.10.3-1m)
- update to 0.10.3
- define _target_cpu macro for configure script's error

* Tue Mar 13 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.10.1-1m)
- update to 0.10.1

* Tue Feb 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.2-3m)
- good-bye %%makeinstall

* Fri Feb 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.2-1m)
- update to 0.9.2 (unstable)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- update to 0.8.0

* Tue Aug 15 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.1-1m)
- update to 0.6.1

* Sat Apr  8 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Mon Feb 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-2m)
- fix conflict directories

* Sun Dec 4 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-1m)
- update to 0.4.4
- GNOME 2.12.2 Desktop

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-4m)
- comment out make check

* Sun Nov 20 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-3m)
- comment out autoreconf

* Sat Nov 19 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-2m)
- autoreconf with force option

* Tue Nov 15 2005 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- start
- GNOME 2.12.1 Desktop
